Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Class GroovyPageResourceScriptSource

    java.lang.Object
      org.springframework.scripting.support.ResourceScriptSource
          org.codehaus.groovy.grails.web.pages.discovery.GroovyPageResourceScriptSource

All Implemented Interfaces:
  GroovyPageScriptSource

    public class GroovyPageResourceScriptSource
    extends org.springframework.scripting.support.ResourceScriptSource

Constructor Summary
`GroovyPageResourceScriptSource(java.lang.String uri, org.springframework.core.io.Resource resource)` Create a new ResourceScriptSource for the given resource.

Method Summary
`java.lang.String` | `getURI()`
`boolean` | `isPublic()` Whether the GSP is publicly accessible directly, or only usable using internal rendering
`static boolean` | `isPublicPath(java.lang.String path)`

Methods inherited from class org.springframework.scripting.support.ResourceScriptSource
org.springframework.scripting.support.ResourceScriptSource#isModified(), org.springframework.scripting.support.ResourceScriptSource#toString(), org.springframework.scripting.support.ResourceScriptSource#getResource(), org.springframework.scripting.support.ResourceScriptSource#setEncoding(java.lang.String), org.springframework.scripting.support.ResourceScriptSource#getScriptAsString(), org.springframework.scripting.support.ResourceScriptSource#suggestedClassName(), org.springframework.scripting.support.ResourceScriptSource#wait(long, int), org.springframework.scripting.support.ResourceScriptSource#wait(long), org.springframework.scripting.support.ResourceScriptSource#wait(), org.springframework.scripting.support.ResourceScriptSource#equals(java.lang.Object), org.springframework.scripting.support.ResourceScriptSource#hashCode(), org.springframework.scripting.support.ResourceScriptSource#getClass(), org.springframework.scripting.support.ResourceScriptSource#notify(), org.springframework.scripting.support.ResourceScriptSource#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPageResourceScriptSource

    public GroovyPageResourceScriptSource(java.lang.String uri, org.springframework.core.io.Resource resource)

  Create a new ResourceScriptSource for the given resource.
  Parameters:
    `uri` - The URI of the resource
    `resource` - the Resource to load the script from

Method Detail

### getURI

    public java.lang.String getURI()

### isPublic

    public boolean isPublic()

  Whether the GSP is publicly accessible directly, or only usable using internal rendering
  Returns:
    true if it can be rendered publicly

### isPublicPath

    public static boolean isPublicPath(java.lang.String path)

Groovy Documentation